<script setup>
const supabase = useSupabaseClient()
const profileStore = useProfileStore()

const workingtimes = ref([])
const setupPage = async () => {
    workingtimes.value = (await supabase.from("workingtimes").select().eq("tenant",profileStore.currentTenant).is("endDate",null)).data
}

setupPage()
</script>

<template>
  <div v-if="workingtimes.length > 0">
    <p v-for="time in workingtimes"><UIcon name="i-heroicons-check"/> {{profileStore.getProfileById(time.profile).fullName}}</p>
  </div>
  <div v-else>
    <p>Keine Mitarbeiter anwesend</p>
  </div>
</template>

<style scoped>

</style>